Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class TraceMonitor.Monitor.GlobalProbe

    java.lang.Object
      avrora.monitors.TraceMonitor.Monitor.GlobalProbe

All Implemented Interfaces:
  Simulator.Probe

Enclosing class:
  TraceMonitor.Monitor

public class TraceMonitor.Monitor.GlobalProbe
extends java.lang.Object
implements Simulator.Probe

Nested Class Summary

Nested classes inherited from class avrora.sim.Simulator.Probe
`Simulator.Probe.Empty`

Constructor Summary
`TraceMonitor.Monitor.GlobalProbe()`

Method Summary
`void` | `fireAfter(State s, int addr)` The `fireAfter()` method is called after the probed instruction executes.
`void` | `fireBefore(State s, int addr)` The `fireBefore()` method is called before the probed instruction executes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceMonitor.Monitor.GlobalProbe

    public TraceMonitor.Monitor.GlobalProbe()

Method Detail

### fireBefore

    public void fireBefore(State s,
                           int addr)

  Description copied from interface: `Simulator.Probe`
  The `fireBefore()` method is called before the probed instruction executes.

  Specified by:
    `fireBefore` in interface `Simulator.Probe`
  Parameters:
    `s` - the state of the simulation
    `addr` - the address at which this instruction resides

### fireAfter

    public void fireAfter(State s,
                          int addr)

  Description copied from interface: `Simulator.Probe`
  The `fireAfter()` method is called after the probed instruction executes.

  Specified by:
    `fireAfter` in interface `Simulator.Probe`
  Parameters:
    `s` - the state of the simulation
    `addr` - the address at which this instruction resides

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD